package com.benyun.dao;

import com.benyun.entity.Apply;
import com.benyun.vo.ApplyEventVo;
import org.beetl.sql.core.mapper.BaseMapper;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.springframework.stereotype.Repository;

/**
 * 应用表(Apply)表数据库访问层
 *
 * @author makejava
 * create on 2023-03-17 10:03:25
 */
@Repository
@SqlResource("Apply")
public interface ApplyDao extends BaseMapper<Apply> {
    /**
     * 分页查询
     */
    void queryByPage(PageQuery<Apply> pageQuery);

    ApplyEventVo queryApplyEventByUUId(String uuid);
}
