package com.benyun.entity;


import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.AssignID;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 事件信息表(Event)实体类
 *
 * @author makejava
 * @since 2023-03-21 09:19:13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Table(name = "event")
public class Event extends TailBean {
    private static final long serialVersionUID = -97325402814750524L;
    /**
     * 事件ID
     */
    @AssignID
    private String id;
    /**
     * 应用ID
     */
    private String applyId;
    /**
     * 事件名称
     */
    private String eventName;
    /**
     * 事件code
     */
    private String eventCode;
    /**
     * 事件类型
     */
    private String eventType;
    /**
     * 事件描述
     */
    private String description;
    /**
     * 创建时间
     */
    private Date createdTime;

}
