package com.benyun.dao;

import com.benyun.entity.Event;
import org.beetl.sql.core.mapper.BaseMapper;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.springframework.stereotype.Repository;

/**
 * 事件信息表(Event)表数据库访问层
 *
 * @author makejava
 * create on 2023-03-21 09:20:28
 */
@Repository
@SqlResource("Event")
public interface EventDao extends BaseMapper<Event> {
    /**
     * 分页查询
     */
    void queryByPage(PageQuery<Event> pageQuery);

    Event queryById(String id, String applyId);

    int updateById2(Event event, String id);

    int deleteByIdAndApplyId(String id, String applyId);
}
