package com.benyun.entity;


import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.AssignID;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应用表(Apply)实体类
 *
 * @author makejava
 * @since 2023-03-18 09:53:06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Table(name = "apply")
public class Apply extends TailBean {
    private static final long serialVersionUID = 794570664248666299L;
    /**
     * uuId
     */
    @AssignID
    private String uuid;
    /**
     * 应用名称
     */
    private String applyName;
    /**
     * 应用类型 如web、Android、小程序
     */
    private String applyType;

}
