package com.benyun.entity;


import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户信息表(User)实体类
 *
 * @author makejava
 * @since 2023-03-18 09:53:06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Table(name = "user")
public class User extends TailBean {
    private static final long serialVersionUID = -61763948199949111L;
    /**
     * 用户ID
     */
    @AutoID
    private Integer userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 创建时间
     */
    private Date created;

}
