package com.benyun.vo;


import com.benyun.entity.Event;
import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import org.beetl.sql.core.orm.OrmCondition;
import org.beetl.sql.core.orm.OrmQuery;

import java.util.List;

/**
 * 应用表(Apply)实体类
 *
 * @author makejava
 * @since 2023-03-17 14:37:02
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@OrmQuery({
        @OrmCondition(target = Event.class, attr = "uuid", targetAttr = "applyId", alias ="eventList", type = OrmQuery.Type.MANY),
})
public class ApplyEventVo extends TailBean {
    private static final long serialVersionUID = 313104691699963778L;
    /**
     * 应用id
     */
    private String uuid;
    /**
     * 应用名称
     */
    private String applyName;
    /**
     * 应用类型 如web、Android、小程序
     */
    private String applyType;

    /**
     * 应用-事件列表
     */
    private List<Event> eventList;

}
